> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/legacy-configuration-components/component-sign-up.md).

# Component: Sign Up

\| This is a legacy component that is not being actively maintained. Please reach out to <support@limio.com> if you have a use case for this component. |

**Purpose**: An input form to sign up for email updates. This is not the same as signing up to buy a subscription.

## Props

| Prop ID                         | Prop Label                       | Type   | Default Value                                                                                                                                                   | Info              |
| ------------------------------- | -------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------- |
| bgColor\_\_limio\_color         | Background color                 | color  | #e2e2e2                                                                                                                                                         | Background colour |
| headline                        | Headline                         | string | Sign up to our newsletter.                                                                                                                                      | Headline Text     |
| headlineColor\_\_limio\_color   | Headline color                   | color  | #1f1f1f                                                                                                                                                         | Headline Colour   |
| subline                         | Subline                          | string | Sign up and be the first to hear about the newest Limio features.                                                                                               | Subline text      |
| sublineColor\_\_limio\_color    | Subline color                    | color  | #1f1f1f                                                                                                                                                         | Subline colour    |
| buttonColor\_\_limio\_color     | Show border on the table's cells | color  | #F47C24                                                                                                                                                         | Border colour     |
| buttonTextColor\_\_limio\_color | Button color                     | color  | #FFFFFF                                                                                                                                                         | Button colour     |
| consentText                     | Consent text                     | string | By entering your email, you consent to being sent marketing and promotional emails by Limio. You can unsubscribe from these emails at any point with one click. | Consent text      |
| loaderColor\_\_limio\_color     | Loader color                     | color  | #1f1f1f                                                                                                                                                         | Loader colour     |
| placeholderText                 | Placeholder text                 | string | Email Address                                                                                                                                                   | Placeholder text  |
| ctaButtonText                   | CTA button text                  | string | Sign up                                                                                                                                                         | CTA Button text   |
| responseText                    | Response text                    | string | Thank you                                                                                                                                                       | Response text     |
| errorText                       | Error text                       | string | Something went wrong, please try again                                                                                                                          | Error text        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-sign-up.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
